Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Code interpreter sessions

client.admin.organization.usage.codeInterpreterSessions(query, options?): UsageCodeInterpreterSessionsResponse { data, has_more, next_page, object }
GET
/organization/usage/code_interpreter_sessions

Get code interpreter sessions usage details for the organization.

Code interpreter sessions

import OpenAI from 'openai';

const client = new OpenAI({
  adminAPIKey: process.env['OPENAI_ADMIN_KEY'], // This is the default and can be omitted
});

const response = await client.admin.organization.usage.codeInterpreterSessions({ start_time: 0 });

console.log(response.data);
Response example
{
    "object": "page",
    "data": [
        {
            "object": "bucket",
            "start_time": 1730419200,
            "end_time": 1730505600,
            "results": [
                {
                    "object": "organization.usage.code_interpreter_sessions.result",
                    "num_sessions": 1,
                    "project_id": null
                }
            ]
        }
    ],
    "has_more": false,
    "next_page": null
}
Parameters
query: UsageCodeInterpreterSessionsParams { start_time, bucket_width, end_time, 4 more }
start_time: number

Start time (Unix seconds) of the query time range, inclusive.

bucket_width?: "1m" | "1h" | "1d"

Width of each time bucket in response. Currently 1m, 1h and 1d are supported, default to 1d.

end_time?: number

End time (Unix seconds) of the query time range, exclusive.

group_by?: Array<"project_id">

Group the usage data by the specified fields. Support fields include project_id.

limit?: number

Specifies the number of buckets to return.

  • bucket_width=1d: default: 7, max: 31
  • bucket_width=1h: default: 24, max: 168
  • bucket_width=1m: default: 60, max: 1440
page?: string

A cursor for use in pagination. Corresponding to the next_page field from the previous response.

project_ids?: Array<string>

Return only usage for these projects.

Returns
UsageCodeInterpreterSessionsResponse { data, has_more, next_page, object }
data: Array<Data>
has_more: boolean
next_page: string | null
object: "page"
Returns Examples
Response example
{
    "object": "page",
    "data": [
        {
            "object": "bucket",
            "start_time": 1730419200,
            "end_time": 1730505600,
            "results": [
                {
                    "object": "organization.usage.code_interpreter_sessions.result",
                    "num_sessions": 1,
                    "project_id": null
                }
            ]
        }
    ],
    "has_more": false,
    "next_page": null
}